Bulk unenroll agents
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/agents/bulk_unenroll
Auth
Unenroll multiple agents, optionally revoking their enrollment API keys.
-
Privileges
fleet-agents-all
-
A required header to protect against CSRF attacks
-
agents
union string[] | string
required
-
force
boolean
-
Unenrolls hosted agents too
-
includeInactive
boolean
-
When passing agents by KQL query, unenrolls inactive agents too
-
revoke
boolean
-
Revokes API keys of agents
-
attributes
object
required
Thank you for your feedback.